Tryton - Issues

 

Issue8139

Title Remove pygtkcompat and deprecation warnings
Priority feature Status resolved
Superseder Remove fast tabbing
View: 8181
Nosy List ced, reviewbot, roundup-bot
Type behavior Components tryton
Assigned To ced Keywords review
Reviews 47841002, 58551002, 58561002, 72441002, 267321003, 263721002
View: 47841002, 58551002, 58561002, 72441002, 267321003, 263721002

Created on 2019-02-22.18:45:24 by ced, last changed by roundup-bot.

Messages
New changeset 3571cb8f5808 by Cédric Krier in branch '5.2':
Replace set_homogeneous by Gtk.Grid equivalent
https://hg.tryton.org/tryton/rev/3571cb8f5808
New changeset eb2745d7862f by Cédric Krier in branch 'default':
Replace set_homogeneous by Gtk.Grid equivalent
https://hg.tryton.org/tryton-env/rev/eb2745d7862f
New changeset 2155e8c720db by Cédric Krier in branch 'default':
Replace set_homogeneous by Gtk.Grid equivalent
https://hg.tryton.org/tryton/rev/2155e8c720db
New review263721002 at https://codereview.tryton.org/263721002/#ps271571003
New changeset 58f13e4af2fd by Cédric Krier in branch 'default':
Update board parse to work with new Container API
https://hg.tryton.org/tryton-env/rev/58f13e4af2fd
New changeset 79db10570325 by Cédric Krier in branch 'default':
Update board parse to work with new Container API
https://hg.tryton.org/tryton/rev/79db10570325
New changeset aa9521972425 by Cédric Krier in branch 'default':
Update board parse to work with new Container API
https://hg.tryton.org/sao/rev/aa9521972425
New review267321003 at https://codereview.tryton.org/267321003/#ps267331002
New changeset 5f5f71e3de5c by Cédric Krier in branch 'default':
Store wizard buttons instead of using get_action_area
https://hg.tryton.org/tryton-env/rev/5f5f71e3de5c
New changeset 71de92ba03b6 by Cédric Krier in branch 'default':
Store wizard buttons instead of using get_action_area
https://hg.tryton.org/tryton/rev/71de92ba03b6
New changeset b99a6db25108 by Cédric Krier in branch 'default':
Replace Arrow by Image
https://hg.tryton.org/tryton-env/rev/b99a6db25108
New changeset 28c176fea66e by Cédric Krier in branch 'default':
Replace Arrow by Image
https://hg.tryton.org/tryton/rev/28c176fea66e
New changeset e55f44d84cb8 by Cédric Krier in branch 'default':
Replace Table by Grid
https://hg.tryton.org/tryton-env/rev/e55f44d84cb8
New changeset ed2f4bb4118e by Cédric Krier in branch 'default':
Replace Table by Grid
https://hg.tryton.org/tryton/rev/ed2f4bb4118e
review58551002 updated at https://codereview.tryton.org/58551002/#ps255141002
review58551002 updated at https://codereview.tryton.org/58551002/#ps249101002
review58551002 updated at https://codereview.tryton.org/58551002/#ps283061002
msg47462 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-03-07.12:37:38
I created issue8181 for the removal of focus_chain.

Now with all the reviews, there should be no more any deprecation warning left in the client.
review72441002 updated at https://codereview.tryton.org/72441002/#ps263071002
msg47448 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-03-06.18:49:22
Here is review72441002 which replace the usage of get_action_area.
review58561002 updated at https://codereview.tryton.org/58561002/#ps263061003
msg47444 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-03-06.15:21:23
Here is review58561002 to replace Arrow by Image
review58551002 updated at https://codereview.tryton.org/58551002/#ps255071002
msg47430 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-03-05.17:52:57
Here is review58551002 which replaces Table by Grid.
New changeset ea18056bd6c1 by Cédric Krier in branch 'default':
Use set_entry_text_column on Gtk.ComboBox
https://hg.tryton.org/tryton-env/rev/ea18056bd6c1
New changeset 3fcdd7a32b33 by Cédric Krier in branch 'default':
Use set_entry_text_column on Gtk.ComboBox
https://hg.tryton.org/tryton/rev/3fcdd7a32b33
New changeset e4f56f962b6b by Cédric Krier in branch 'default':
Fix typo from Gtk.Align instead of Gtk.Alignment
https://hg.tryton.org/tryton-env/rev/e4f56f962b6b
New changeset e153a1b4c237 by Cédric Krier in branch 'default':
Fix typo from Gtk.Align instead of Gtk.Alignment
https://hg.tryton.org/tryton/rev/e153a1b4c237
New changeset 6f5e196ea789 by Cédric Krier in branch 'default':
Remove pygtkcompat and clean most deprecation warnings
https://hg.tryton.org/tryton-env/rev/6f5e196ea789
New changeset 3cb5828e5ec2 by Cédric Krier in branch 'default':
Remove pygtkcompat and clean most deprecation warnings
https://hg.tryton.org/tryton/rev/3cb5828e5ec2
review47841002 updated at https://codereview.tryton.org/47841002/#ps80001
review47841002 updated at https://codereview.tryton.org/47841002/#ps60001
review47841002 updated at https://codereview.tryton.org/47841002/#ps40001
review47841002 updated at https://codereview.tryton.org/47841002/#ps20001
msg47161 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-02-22.18:49:54
It requires https://goocalendar.tryton.org/bug20
msg47160 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-02-22.18:49:29
Here is review47841002.
It does not remove all the deprecation warning but only those that has simple solution. Here is the list of the warnings that should be processed in a separate issue because of the complexity:

- Gtk.Table must be replaced by Gtk.Grid
- Gtk.Container.set_focus_chain has no replacement
- Gtk.Arrow must be replaced by Gtk.Image
- Gtk.Dialog.get_action_areas has no replacement
New review47841002 at https://codereview.tryton.org/47841002/#ps1
msg47158 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-02-22.18:45:23
In order to prepare for GTK+4, we must clean tryton. We must use gi.repository and no more the pygtkcompat version. Also depreciation warning should be fixed as such code will no longer work on GTK+4.
History
Date User Action Args
2019-06-25 23:26:08roundup-botsetmessages: + msg50397
2019-06-20 23:19:59roundup-botsetmessages: + msg50350
2019-06-20 23:19:56roundup-botsetstatus: chatting -> resolved
messages: + msg50348
2019-06-16 10:48:07reviewbotsetstatus: resolved -> chatting
messages: + msg50255
2019-06-16 10:48:06reviewbotsetreviews: 47841002, 58551002, 58561002, 72441002, 267321003 -> 47841002, 58551002, 58561002, 72441002, 267321003, 263721002
2019-05-02 12:54:59roundup-botsetmessages: + msg49563
2019-05-02 12:54:55roundup-botsetmessages: + msg49561
2019-05-02 12:54:51roundup-botsetstatus: chatting -> resolved
messages: + msg49559
2019-04-28 01:14:05reviewbotsetstatus: resolved -> chatting
messages: + msg49232
2019-04-28 01:14:04reviewbotsetreviews: 47841002,58551002,58561002,72441002 -> 47841002, 58551002, 58561002, 72441002, 267321003

Showing 10 items. Show all history (warning: this could be VERY long)